Subject: bug#26264: [PATCH 0/1] Use '@' to separate name, version in package-full-name

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 May 2017 14:39:03 +0200

Heya!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> On 07/05/17 17:37, Ludovic Courtès wrote:
>> WDYT of making it:
>>   (define* (package-full-name package #:optional (separator "@"))
>>     …)
>> ?
>> (I think I suggested it somewhere, but maybe not.  :-))
>
> You did! I simply forgot to address it explicitly (‘I'm sticking...’).
>
>> That would make the adjustments to places that need a hyphen slightly
>> shorter.
>
> I considered it back when, but decided not to because it just felt...
> wrong. That's it. My intuitive, rambling reasoning:
>
> - All of the patched ex-callers are manually constructing some raw
>   file or directory name. It includes the package's name and version
>   in some way, but not really Guix's abstract concept of a
>   ‘package-full-name’ atom. It just happened to be the same string.
>
> - Making ‘separator’ configurable turns ‘package-full-name’ into
>   ‘package-name-version-join’. If one cares about the separator,
>   one also cares about the components, at which point one should just
>   call string-join explicitly. Doing so isn't ugly, and is more clear.
>
> Does that make any sense?

I does, I wondered about that too.

So yeah, please push the patches, thanks!

>> Thanks, and good luck with your new $DAYJOB!
>
> Thanks! It doesn't involve computers, so it won't last.

Heheh.  :-)

Ludo’.